Format: http://svn.debian.org/wsvn/dep/web/deps/dep5.mdwn?op=file&rev=166
Upstream-Name: dmtcp
Upstream-Contact: Kapil Arya <kapil@ccs.neu.edu>
Source: http://www.dmtcp.sourceforge.net

Files: *
Copyright: 2006-2011, Jason Ansel <jansel@csail.mit.edu>
           2006-2011, Kapil Arya <kapil@ccs.neu.edu>
           2006-2011, Gene Cooperman <gene@ccs.neu.edu>
License: LGPL-3

Files: mtcp/*
Copyright: 2006-2011, Mike Rieker <mrieker@nii.net>
           2006-2011, Jason Ansel <jansel@csail.mit.edu>
           2006-2011, Kapil Arya <kapil@ccs.neu.edu>
           2006-2011, Gene Cooperman <gene@ccs.neu.edu>
License: LGPL-3

Files: debian/*
Copyright: 2011, Kapil Arya <kapil@ccs.neu.edu>
License: GPL-3

Files: dmtcp/jalib/*
Copyright: 2005-2011, Jason Ansel <jansel@csail.mit.edu>
License: LGPL-3

Files: dmtcp/src/dmtcpaware.*
Copyright: 2006-2011, Jason Ansel <jansel@csail.mit.edu>
           2006-2011, Kapil Arya <kapil@ccs.neu.edu>
           2006-2011, Gene Cooperman <gene@ccs.neu.edu>
License: Expat or BSD-2-Clause

Files: dmtcp/src/glibcsystem.cpp
Copyright: 1991-2000,2002,2003,2005,2007 Free Software Foundation, Inc.
License: LGPL-2.1

Files: mtcp/mtcp_sigaction_*
Copyright: 1991-2000,2002,2003,2005,2007 Free Software Foundation, Inc.
License: LGPL-2.1

Files: mtcp/sysdep-*
Copyright: 1991-2000,2002,2003,2005,2007 Free Software Foundation, Inc.
License: LGPL-2.1

Files: mtcp/NOTES-x86_64/*.[hS]
Copyright: 1991-2000,2002,2003,2005,2007 Free Software Foundation, Inc.
License: LGPL-2.1

Files: module/ptrace/*
Copyright: 2009-2012, Ana-Maria Visan <amvisan@ccs.neu.edu>
           2009-2012, Kapil Arya <kapil@ccs.neu.edu>
           2009-2012, Gene Cooperman <gene@ccs.neu.edu>
           2009-2012, Tyler Denniston <tyler@ccs.neu.edu>
License: LGPL-3

License: LGPL-3
 This package is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 3 of the License, or (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this package; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in `/usr/share/common-licenses/LGPL-3'.   

License: GPL-3
 This package is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 3 of the License, or (at your option) any later version.
 .
 This package is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this package; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in `/usr/share/common-licenses/GPL-3'.   

License: LGPL-2.1
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 .
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 .
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 .
 On Debian systems, the complete text of the GNU Lesser General
 Public License can be found in `/usr/share/common-licenses/LGPL-2.1'.   

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

License: BSD-2-Clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met: 
 .
 1. Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer. 
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution. 
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
